GET /repos/{owner}/{repo}/milestones

github.com:github-rest-api

Summary: List milestones
Operation ID: issues/list-milestones
Auth: bearer_token
Description

Lists milestones for a repository.

Parameters (7)

direction (string, query, optional, default: asc)

The direction of the sort. Either `asc` or `desc`.

Constraints: {'enum': ['asc', 'desc']}

owner (string, path, required)

The account owner of the repository. The name is not case sensitive.

page (integer, query, optional, default: 1)

The page number of the results to fetch. For more information, see "[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api)."

per_page (integer, query, optional, default: 30)

The number of results per page (max 100). For more information, see "[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api)."

repo (string, path, required)

The name of the repository without the `.git` extension. The name is not case sensitive.

sort (string, query, optional, default: due_on)

What to sort results by. Either `due_on` or `completeness`.

Constraints: {'enum': ['due_on', 'completeness']}

state (string, query, optional, default: open)

The state of the milestone. Either `open`, `closed`, or `all`.

Constraints: {'enum': ['open', 'closed', 'all']}

No probe data for this endpoint yet.